﻿using Infragistics.Controls.Menus;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace XamContextMenuWithinXamContextMenu
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        XamContextMenu xamContextMenu2;

        public MainWindow()
        {
            InitializeComponent();
            InitializeXamContextMenu();
            
        }

        public void InitializeXamContextMenu() 
        {
            ContextMenuManager contextMenuManager1 = new ContextMenuManager();
            Infragistics.Controls.Menus.ContextMenuService.SetManager(this, contextMenuManager1);
            xamContextMenu2 = new XamContextMenu();
            contextMenuManager1.ModifierKeys = ModifierKeys.Control;
            contextMenuManager1.ContextMenu = xamContextMenu2;
            XamMenuItem inner1 = new XamMenuItem
            {
                Header = "InnerItem1"
            };
            XamMenuItem inner2 = new XamMenuItem
            {
                Header = "InnerItem2"
            };
            xamContextMenu2.Items.Add(inner1);
            xamContextMenu2.Items.Add(inner2);

            inner1.Click += Inner1_Click;
            inner2.Click += Inner2_Click;
        }

        private void Inner2_Click(object sender, EventArgs e)
        {
            MessageBox.Show("InnerItem2 was clicked!");
        }

        private void Inner1_Click(object sender, EventArgs e)
        {
            MessageBox.Show("InnerItem1 was clicked!");
        }

        private void XamMenuItem_MouseRightButtonUp(object sender, MouseButtonEventArgs e)
        {           
            Point pt = Mouse.GetPosition(this);

            xamContextMenu2.HorizontalOffset = pt.X;
            xamContextMenu2.VerticalOffset = pt.Y;        
            xamContextMenu2.IsOpen = true;
        }

       
        private void XamMenuItem_Click(object sender, EventArgs e)
        {
            XamMenuItem item = sender as XamMenuItem;

            if (item != null) 
            {
                if (item.Header.Equals("OuterItem1")) MessageBox.Show("OuterItem1 was clicked!");
                if (item.Header.Equals("OuterItem2")) MessageBox.Show("OuterItem2 was clicked!");
            }            
        }
    }
}
